import BaseError from './BaseError';

/**
 * 用于表示网络故障的异常类。
 */
export default class NetworkError extends BaseError {
  /**
   * 出现异常的编号
   */
  private code: number;

  constructor(code: number, message: string) {
    super(message);
    this.code = code;
  }

  /**
   * 出现异常的错误编号
   */
  get ErrCode(): number {
    return this.code;
  }

  /**
   * 当前异常的具体解释信息。
   */
  get ErrMessage(): string {
    return this.message;
  }
}
