import Warning24Regular from '@ricons/fluent/lib/Warning24Regular';
import { FC } from 'react';
import { useNavigate } from 'react-router-dom';
import 'twin.macro';

/**
 * 生成404 未找到页面。
 * @returns 404 未找到页面
 */
export const NotFoundPage: FC = () => {
  const navigate = useNavigate();

  return (
    <div tw="w-full h-full flex flex-col justify-center items-center">
      <div tw="flex flex-row justify-center items-center mb-8">
        <div>
          <Warning24Regular tw="w-[36px] h-[36px] pt-1.5 text-red-5" onPointerEnterCapture={undefined}
                            onPointerLeaveCapture={undefined} />
        </div>
        <h1 tw="text-3xl ml-4">请求的内容不存在！</h1>
      </div>
      <div tw="mt-2">
        点击
        <a
          onClick={() => navigate(-1)}
          tw="text-arcoblue-3 hover:text-arcoblue-5 active:text-arcoblue-7 cursor-pointer"
        >
          此处
        </a>
        返回系统。
      </div>
    </div>
  );
};
